> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/changelog/archive/changelog-2025/2025-06-12-order.md).

# 2025-06-12: Order Service - calculatedPrice has been enriched

## Overview

The `calculatedPrice` of Order Service has been enriched with new fields:

* `totalDiscounts` has a new `price` field that contains all price details
* `appliedDiscounts` has a new `price` field that contains all price details

The `calculatedPrice` or cart level has new fields

* `shipping` price before discounts
* `fees` price before discounts

## Updated endpoints

| Endpoint                                                                                                                                                                                | Description                                                                             |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------- |
| [Creating a new order as employee](https://developer.emporix.io/api-documentation/api-guides/orders/order/api-reference/orders-tenant-managed#post-order-v2-tenant-salesorders)         | The `calculatedPrice` attribute has been enriched in order and order entries.           |
| [Creating a new order as customer](https://developer.emporix.io/api-documentation/api-guides/orders/order/api-reference/orders-customer-managed#post-order-v2-tenant-orders)            | The `calculatedPrice` attribute has been enriched in order and order entries.           |
| [Retrieving order details](https://developer.emporix.io/api-documentation/api-guides/orders/order/api-reference/orders-customer-managed#get-order-v2-tenant-orders-orderid)             | The `calculatedPrice` attribute has been enriched in order and order entries responses. |
| [Retrieving a specific order by ID](https://developer.emporix.io/api-documentation/api-guides/orders/order/api-reference/orders-tenant-managed#get-order-v2-tenant-salesorders-orderid) | The `calculatedPrice` attribute has been enriched in order and order entries responses. |

## Known problems

There are no known problems.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-06-12-order.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
